/**
 * 
 */
package edu.swe622.fers.util;

import java.util.Map;
import java.util.Vector;

import org.uddi4j.datatype.Name;

import junit.framework.TestCase;

/**
 * @author kris
 *
 */
public class ServiceUtilTest extends TestCase {

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/**
	 * Test method for {@link edu.swe622.fers.util.ServiceUtil#findServiceByName(java.util.Vector)}.
	 */
	public void testFindServiceByName() {
		ServiceUtil.setupProxy("juddi", "juddi");
		Vector names = new Vector();
		names.add(new Name("SensorService"));
		Map services = ServiceUtil.findServiceByName(names);
		System.out.println("Map:"+services);
	}

	/**
	 * Test method for {@link edu.swe622.fers.util.ServiceUtil#findServiceByKey(java.lang.String)}.
	 */
	public void testFindServiceByKey() {
		fail("Not yet implemented");
	}

	/**
	 * Test method for {@link edu.swe622.fers.util.ServiceUtil#deleteServiceByName(java.lang.String)}.
	 */
	public void testDeleteServiceByName() {
		ServiceUtil.setupProxy("juddi", "juddi");
		ServiceUtil.deleteServiceByName("EngineDispatchService0");
		
	}

	/**
	 * Test method for {@link edu.swe622.fers.util.ServiceUtil#deleteServiceByKey(java.lang.String)}.
	 */
	public void testDeleteServiceByKey() {
		fail("Not yet implemented");
	}

	/**
	 * Test method for {@link edu.swe622.fers.util.ServiceUtil#publishService(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)}.
	 */
	public void testPublishService() {
		ServiceUtil.setupProxy("juddi", "juddi");
		BusinessUtilities.publishBusiness("FERSystem");
		ServiceUtil.publishService("SensorService", "FRESystem", "SensorService", "SensorService.wsdl","http://localhost:8080/SensorServiceWEB/services/SensorService" ,"");
	}

	/**
	 * Test method for {@link edu.swe622.fers.util.ServiceUtil#getServiceAccessPoints(java.lang.String)}.
	 */
	public void testGetServiceAccessPoints() {
//		fail("Not yet implemented");
		ServiceUtil.setupProxy("juddi", "juddi");
		Map accessPoints = ServiceUtil.getServiceAccessPoints("SensorService0");
		System.out.println("Access Points:"+accessPoints);
		Map accessPoints1 = ServiceUtil.getServiceAccessPoints("SensorService1");
		System.out.println("Access Points:"+accessPoints1);
		Map accessPoints2 = ServiceUtil.getServiceAccessPoints("SensorService2");
		System.out.println("Access Points:"+accessPoints2);
		accessPoints2.keySet().iterator().next();
	}

}
